<script setup lang="ts">
const props = defineProps<{
  error: any;
  errorMessage: string;
  loading: boolean;
  loadingType?: string;
}>();
</script>

<template>
  <WarningAlert v-if="props.error" :text="props.errorMessage" />
  <div
    v-else-if="props.loading && props.loadingType === undefined"
    class="text-center"
  >
    ...loading...
  </div>
  <v-skeleton-loader v-else-if="props.loading" :type="props.loadingType" />
  <div v-else>
    <slot>
      <NoDataText />
    </slot>
  </div>
</template>
